org.apache.cassandra.cache

## Class RowCacheKey

- java.lang.Object
- - org.apache.cassandra.cache.RowCacheKey

All Implemented Interfaces:
  java.lang.Comparable<RowCacheKey>, CacheKey, IMeasurableMemory

    public class RowCacheKey
    extends java.lang.Object
    implements CacheKey, java.lang.Comparable<RowCacheKey>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cache.CacheKey

`CacheKey.PathInfo`

### Field Summary

Fields
`java.util.UUID` `cfId`
`byte[]` `key`

### Constructor Summary

Constructors
Constructor and Description
`RowCacheKey(java.util.UUID cfId, java.nio.ByteBuffer key)`
`RowCacheKey(java.util.UUID cfId, DecoratedKey key)`

### Method Summary

Methods
`int` `compareTo(RowCacheKey otherKey)`
`boolean` `equals(java.lang.Object o)`
`CacheKey.PathInfo` `getPathInfo()`
`int` `hashCode()`
`java.lang.String` `toString()`
`long` `unsharedHeapSize()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cfId

    public final java.util.UUID cfId

#### key

    public final byte[] key

### Constructor Detail

#### RowCacheKey

    public RowCacheKey(java.util.UUID cfId,
               DecoratedKey key)

#### RowCacheKey

    public RowCacheKey(java.util.UUID cfId,
               java.nio.ByteBuffer key)

### Method Detail

#### getPathInfo

    public CacheKey.PathInfo getPathInfo()

Specified by:
  `getPathInfo` in interface `CacheKey`
Returns:
  The keyspace and ColumnFamily names to which this key belongs

#### unsharedHeapSize

    public long unsharedHeapSize()

Specified by:
  `unsharedHeapSize` in interface `IMeasurableMemory`
Returns:
  the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(RowCacheKey otherKey)

Specified by:
  `compareTo` in interface `java.lang.Comparable<RowCacheKey>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`